Summary:        Library to create ISO 9660 disk images
Name:           libisofs
Version:        1.5.6
Release:        2%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            https://libburnia-project.org/
Source0:        https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
Patch3000:      libisofs-0.6.16-multilib.patch
Patch3001:      libisofs-1.5.4-rpath.patch

BuildRequires:  gcc make
BuildRequires:  libacl-devel zlib-devel

%description
Libisofs is a library for creating an ISO-9660 filesystem and  a full featured ISO-9660 editor.
It can be used to modify an ISO image or multisession disc, including file addition or removal, 
changing file names and attributes etc.

It supports extensions like RockRidge or Joliet and extension AAIP ,allowing ACLs and xattr to 
be stored in ISO-9660 filesystems as well. It also supports zisofs compression because it is 
linked to zlib.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description devel
The %{name}-devel package provides libraries and header files for developing applications that 
use %{name}.

%package doc
Summary:        Documentation files for %{name}
BuildRequires:  doxygen, graphviz
BuildArch:      noarch

%description doc
This package provides the API documentation for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

# provide the API documentation
doxygen doc/doxygen.conf

%install
%make_install

rm -f %{buildroot}%{_libdir}/%{name}.la
rm -rf %{buildroot}%{_defaultdocdir}

%files
%license COPYING
%doc AUTHORS COPYRIGHT README
%{_libdir}/%{name}*.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}*.pc

%files doc
%doc doc/html/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Shuo Wang <abushwang@tencent.com> - 1.5.6-1
- update to 1.5.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Wang Guodong <gordonwwang@tencent.com> - 1.5.4-1
- package init.
